Bug 980854 - REST-API: [TEXT] bogous 'help show event' output
REST-API: [TEXT] bogous 'help show event' output
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 07:14 EDT by Ilia Meerovich
Modified: 2016-02-10 14:26 EST (History)
8 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16780 None None None Never

  None (edit)
Description Ilia Meerovich 2013-07-03 07:14:15 EDT
build: is4

bug in output:
 * [--id :string(theidoftheentity)]

here is whole otput of 'help show event' command:

[RHEVM shell (connected)]# help show event 

USAGE
  
  - show <type>
      
  - show <type> <id> [parent identifiers] [command options]
  
DESCRIPTION
  
  Shows an object by type 'event'. See 'help show' for generic
  help on showing objects.
  
ATTRIBUTE OPTIONS
  
  The following options are available for objects with type 'event':
  
    * [--id :string(theidoftheentity)]
    * [--name: string]
  
RETURN VALUES
  
  This command will exit with one of the following statuses. To see the
  exit status of the last command, type 'status'.
  
    * 002 (COMMAND_ERROR)
    * 005 (COMMUNICATION_ERROR)
    * 003 (INTERRUPTED)
    * 011 (NOT_FOUND)
    * 000 (OK)
    * 010 (REMOTE_ERROR)
    * 001 (SYNTAX_ERROR)
    * 004 (UNKNOWN_ERROR)
  
[RHEVM shell (connected)]#
Comment 1 Michael Pasternak 2013-07-03 07:30:06 EDT
can you elaborate what is the bug here?
Comment 2 Ilia Meerovich 2013-07-03 07:51:14 EDT
please take a look at help message:
ATTRIBUTE OPTIONS
  
  The following options are available for objects with type 'event':
  
    * [--id :string(theidoftheentity)]
    * [--name: string]

what can user understand from [--id :string(theidoftheentity)]?
what is 'theidoftheentity' ?
Comment 3 Michael Pasternak 2013-07-03 08:57:10 EDT
(In reply to Ilia Meerovich from comment #2)
> please take a look at help message:
> ATTRIBUTE OPTIONS
>   
>   The following options are available for objects with type 'event':
>   
>     * [--id :string(theidoftheentity)]
>     * [--name: string]
> 
> what can user understand from [--id :string(theidoftheentity)]?
> what is 'theidoftheentity' ?

what is datacenter/vmpool/storagedomain/etc.,  of course we can fix that,
just be aware that we use this paradigm across the product.

btw please note, cli does not define parameters by it's own, they're
come from the api.
Comment 4 Ilia Meerovich 2014-01-21 05:49:38 EST
[root@jenkins-vm-23 ~]# rpm -q ovirt-engine-cli
ovirt-engine-cli-3.4.0.2-1.20140112.git01360ed.el6.noarch


[oVirt shell (connected)]# help show event

USAGE
  
  - show <type>
      
  - show <type> <id> [parent identifiers] [command options]
  
DESCRIPTION
  
  Shows an object by type 'event'. See 'help show' for generic
  help on showing objects.
  
ATTRIBUTE OPTIONS
  
  The following options are available for objects with type 'event':
  
    * [--id  : string (the id of the entity)]
    * [--name: string]
  
RETURN VALUES
  
  This command will exit with one of the following statuses. To see the
  exit status of the last command, type 'status'.
  
    * 006 (AUTHENTICATION_ERROR)
    * 002 (COMMAND_ERROR)
    * 005 (COMMUNICATION_ERROR)
    * 003 (INTERRUPTED)
    * 011 (NOT_FOUND)
    * 000 (OK)
    * 010 (REMOTE_ERROR)
    * 001 (SYNTAX_ERROR)
    * 004 (UNKNOWN_ERROR)
  

[oVirt shell (connected)]#
Comment 5 Itamar Heim 2014-06-12 10:09:09 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.